IBRPP(3)

NAME
ibrpp - perform a parallel poll (board or device)

SYNOPSIS

#include <gpib/ib.h>

int ibrpp(int ud, char *ppoll_result);

DESCRIPTION

ibrpp() causes the interface board to perform a parallel poll, and stores the resulting parallel poll byte in the location specified by ppoll_result. Bits 0 to 7 of the parallel poll byte correspond to the dio lines 1 to 8, with a 1 indicating the corresponding dio line is asserted. The devices on the bus you wish to poll should be configured beforehand with ibppc(). The board which performs the parallel poll must be controller-in-charge, and is specified by the descriptor ud. If ud is a device descriptor instead of a board descriptor, the device's access board performs the parallel poll.

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess